#


%ifarch %{ix86} x86_64
%define build_docs 0
%else
%define build_docs 0
%endif

%define oname kdb

Name:           kdb
Version:        3.2.0
Release:        %mkrel 4
Summary:        A database connectivity and creation framework for various database vendors
Group:          Graphical desktop/KDE5
License:        GPLv2+
URL:            https://community.kde.org/KDb
Source0:        http://download.kde.org/stable/%{oname}/src/%{oname}-%{version}.tar.xz
Patch1:         0001-PgSQL-driver_fix-build-with-PostgreSQL-12+.patch
Patch2:         kdb-3.2.0-pkgconfig.patch
Patch3:         b36d74f1.patch
BuildRequires: kf5-macros
BuildRequires: lib64icu-devel
BuildRequires: lib64kcoreaddons-devel
BuildRequires: lib64mariadb-devel
BuildRequires: lib64qt5core-devel 
BuildRequires: lib64qt5gui5 
BuildRequires: lib64qt5gui-devel 
BuildRequires: lib64qt5network-devel
BuildRequires: lib64qt5widgets-devel 
BuildRequires: lib64qt5xml-devel 
BuildRequires: lib64sqlite3-devel
BuildRequires: postgresql13-devel


%description
A database connectivity and creation framework for various database vendors.

%files -f %{name}_qt.lang
%_kf5_bindir/kdb3_sqlite3_dump
%_qt5_plugindir/kdb3/kdb_sqlitedriver.so
%_qt5_plugindir/kdb3/kdb_mysqldriver.so
%_qt5_plugindir/kdb3/kdb_postgresqldriver.so
%_qt5_plugindir/kdb3/sqlite3/kdb_sqlite_icu.so
%_kf5_libdir/libKDb3.so.*

#--------------------------------------------------------------------

%define kdb3_devel %mklibname kdb3 -d

%package -n %kdb3_devel
Summary:        Development files for %{oname}
Group:          Development/KDE and Qt
Requires:       %name = %version-%release
Provides:       %name-devel = %version-%release
Provides:       kdb3-devel = %version-%release

%description -n %kdb3_devel
The %{kdb3_devel} package contains libraries and header files for
developing applications that use %{oname}.

%files -n %kdb3_devel
%_kf5_libdir/*.so
%_kf5_mkspecsdir/qt_KDb3.pri
%_includedir/KDb3/
%_kf5_libdir/cmake/KDb3/
%_kf5_libdir/pkgconfig/KDb3.pc

#------------------------------------------------------------------------------

%if %{build_docs}
%package doc
Summary:        KDb3 APIs and tools docs
Group:          Documentation
BuildArch:      noarch
BuildRequires:  doxygen
BuildRequires:  qttools5
BuildRequires:  qttools5-assistant
Recommends:     qttools5-assistant

%description doc
Documentation for APIs and tools in KDb3 package for use with
Qt Assistant.

%files doc
%{_qt5_docdir}/KDb3.qch
%{_qt5_docdir}/KDb3.tags
%endif

#--------------------------------------------------------------------

%prep
%setup -q
%apply_patches

%build
%cmake_kf5 -Wno-dev \
           %if %{build_docs}
           -DBUILD_QCH=ON \
           %endif
           -DBUILD_TESTING=OFF
%make_build

%install
%make_install -C build

%find_lang_kf5 kdb_qt
%find_lang_kf5 kdb_mysqldriver_qt
%find_lang_kf5 kdb_postgresqldriver_qt
%find_lang_kf5 kdb_sqlitedriver_qt

cat kdb_mysqldriver_qt.lang kdb_postgresqldriver_qt.lang kdb_sqlitedriver_qt.lang >> kdb_qt.lang


%changelog
* Sat Sep 24 2022 tex - 3.2.0-4pclos2022
- rebuild against updates

* Mon Oct 07 2019 tex - 3.2.0-3pclos2019
- rebuild against updates

* Tue Apr 30 2019 tex - 3.2.0-2pclos2019
- rebuild against updates

* Thu Apr 18 2019 tex 3.2.0-1pclos2019
- new
